package io.zipcoder.casino;

public class Card {

    private Suit suit;
    private Rank rank;
    private int x;


    public Card(Suit suit, Rank rank) {
        this.suit = suit;
        this.rank = rank;
        x = 0;
    }

    public Card() {

    }



    public Rank getRank() {
        return rank;
    }

    public Suit getSuit() {
        return suit;
    }

    public void setRank(Rank rank) {
        this.rank = rank;
    }

    public void setSuit(Suit suit) {
        this.suit = suit;
    }

    @Override
    public String toString() {
        String describe = "";

        if (suit == Suit.SPADES) {
            describe = rank + "\u2660 of " + suit;
        } else if (suit == Suit.CLUBS) {
            describe = rank + "\u2663 of " + suit;
        } else if (suit == Suit.DIAMONDS) {
            describe = rank + "\u2666 of " + suit;
        } else if (suit == Suit.HEARTS) {
            describe = rank + "\u2665 of " + suit;
        }
        return describe;
    }
}
